## mini-dinstall 0.6.18

=== Makefile ===
# Makefile for mini-dinstall

pkgdir = $(DESTDIR)/usr/lib/python2.3/site-packages/minidinstall
bindir = $(DESTDIR)/usr/bin
mandir = $(DESTDIR)/usr/share/man/man1

install:
	install -o root -g root -m 0755 -d $(pkgdir) $(bindir) $(mandir)

	# install the application
	install -o root -g root -m 0644 lib/*.py $(pkgdir)
	install -o root -g root -m 0755 mini-dinstall $(bindir)

	# install documentataion
	install -o root -g root -m 0644 doc/mini-dinstall.1 $(mandir)

.PHONY: install

=== debian/changelog ===
mini-dinstall (0.6.18) unstable; urgency=low

  * I'm honored to be the new maintainer. (Thanks Graham.)
  * Don't touch packages scheduled for reprocessing when rescanning,
    also catch IOError when reprocessing changes to handle removed
    changes files.
    (Closes: #230325)
  * Bumped Standards-Version: 3.6.1 (no changes necessary).
  * Included Graham's fix for version.py generation. (Thanks.)

 -- Thomas Viehmann <tv@beamnet.de>  Mon, 12 Apr 2004 21:17:20 +0200

mini-dinstall (0.6.17) unstable; urgency=low

  * Rebuild with a fixed build tool. (closes: #235411)

 -- Graham Wilson <graham@debian.org>  Thu, 04 Mar 2004 00:32:12 +0000

mini-dinstall (0.6.16) unstable; urgency=low

  * Call ChangeFile.verify as it was intended. (closes: #228307)
  * Add correct index to _archivemap[dist]. (closes: #195541)
  * Handle ~ in filenames. (closes: #228745)

 -- Graham Wilson <graham@debian.org>  Fri, 30 Jan 2004 07:11:41 +0000

mini-dinstall (0.6.15) unstable; urgency=low

  * Fix a typo in the man page. (closes: #230131)

 -- Graham Wilson <graham@debian.org>  Wed, 28 Jan 2004 20:27:20 +0000

mini-dinstall (0.6.14) unstable; urgency=low

  * Only close fd's if we are daemonizing. (closes: #225439)

 -- Graham Wilson <graham@debian.org>  Mon, 29 Dec 2003 22:23:43 +0000

mini-dinstall (0.6.13) unstable; urgency=low

  * Integrate the manual into the man page. (closes: #225363)

 -- Graham Wilson <graham@debian.org>  Mon, 29 Dec 2003 06:13:47 +0000

mini-dinstall (0.6.12) unstable; urgency=low

  * Use consistent indentation.
  * Man page corrections.
  * Default architectures should be a list, not a tuple.
  * Close all file descriptors after daemonizing. (closes: #222693)

 -- Graham Wilson <graham@debian.org>  Wed, 17 Dec 2003 22:07:38 +0000

mini-dinstall (0.6.11) unstable; urgency=low

  * Add a complete man page.
  * Skip over empty lines when reading changes file. (closes: #217548)

 -- Graham Wilson <graham@debian.org>  Tue, 18 Nov 2003 16:04:56 +0000

mini-dinstall (0.6.10) unstable; urgency=low

  * Automatically generate lib/version.py from debian/rules.
  * Call setsid(2) before the second fork, not after. (closes: #217794)

 -- Graham Wilson <graham@debian.org>  Tue, 28 Oct 2003 01:18:23 +0000

mini-dinstall (0.6.9) unstable; urgency=medium

  * Change documentation from GNU FDL to GPL. (closes: #214488)
  * Read dh_python(1):
    - Build depend on python. (closes: #215044)
    - Use ${python:Depends} in control.

 -- Graham Wilson <graham@debian.org>  Fri, 10 Oct 2003 01:15:01 +0000

mini-dinstall (0.6.8) unstable; urgency=low

  * Fix minor whitespace problems in mini-dinstall.
  * Correct type checking order in event queue. (closes: #212505)
  * Explicity depend and build-depend on Python 2.3.
  * Change DTD in manpage and manual to locally installed version.
  * Use make instead of distutils. What was I thinking?
  * Don't propagate exceptions that occur while logging.
    - now we dont croak if we can't send email (closes: #213111)

 -- Graham Wilson <graham@debian.org>  Mon, 29 Sep 2003 15:44:30 +0000

mini-dinstall (0.6.7) unstable; urgency=low

  * Use distutils instead of autotools; debhelper instead of cdbs.
    (closes: #211462)
  * Create a lib/version.py. Tell mini-dinstall and setup.py to use it.
  * New maintainer. Thanks Colin.
  * No need to build-dep on python-apt or apt-utils.

 -- Graham Wilson <graham@debian.org>  Thu, 18 Sep 2003 02:25:45 +0000

mini-dinstall (0.6.6) unstable; urgency=low

  * Package is Debian-native again.
  * Python 2.3 transition.
  * Call reject_changefile with the correct number of arguments
    (Closes: #195769)

 -- Colin Walters <walters@debian.org>  Mon, 11 Aug 2003 01:23:25 -0400

mini-dinstall (0.6.5-2) unstable; urgency=low

  * debian/control:
    - Bump Debhelper Build-Depends to ensure we have dh_python.

 -- Colin Walters <walters@debian.org>  Mon, 23 Jun 2003 00:04:12 -0400

mini-dinstall (0.6.5-1) unstable; urgency=low

  * New upstream release.
    - Adds - to architecture regexp (Closes: #189930).
  * debian/rules:
    - Use docbookxml.mk CDBS class.
    - Don't ship python bytecode files (Closes: #195540).
  * debian/mini-dinstall.preinst:
    - Remove.
  * debian/control:
    - Bump Build-Depends on cdbs.
    - Depend on python-logging instead of python2.2-logging.

 -- Colin Walters <walters@debian.org>  Wed, 11 Jun 2003 04:02:57 -0400

mini-dinstall (0.6.4-1) unstable; urgency=low

  * New upstream release.
    - Fixes crashing bug in batch mode, or in daemon startup when there
    were already packages in the incoming dir (Closes: #194143).

 -- Colin Walters <walters@debian.org>  Wed, 21 May 2003 12:05:53 -0400

mini-dinstall (0.6.3-1) unstable; urgency=low

  * The "Offin' Office Max" release.
  * New upstream release.
  * debian/control:
    - Add Build-Depends on cdbs.
    - Add Build-Depends on python-apt (Closes: #193092).    
    - Bump Standards-Version to 3.5.10, no changes required.
    - Downgrade debian-keyring to a Suggests, for no particular reason.
  * debian/rules, debian/rocks:
    - Convert to cdbs.

 -- Colin Walters <walters@debian.org>  Tue, 20 May 2003 04:07:25 -0400

mini-dinstall (0.6.2-2) unstable; urgency=low

  * The "Archaeological Dig Uncovers Ancient Race Of Skeleton People"
    release.
  * debian/control:
    - Add Build-Depends on apt-utils (Closes: #192963).
  * debian/rules:
    - Update to latest version of Colin's Build System.

 -- Colin Walters <walters@debian.org>  Sun, 11 May 2003 18:24:09 -0400

mini-dinstall (0.6.2-1) unstable; urgency=low

  * The "insane little dwarf Bush" release.  (Courtesy of Mohammed
    Saeed Al-Sahaf).
  * New upstream release.
    - Handles absolute path for logfile (Closes: #189007)
    - New variable chown_changes_file (Closes: #188203)
  * debian/control:
    - Bump Standards-Version to 3.5.9, no changes required.
  * debian/rules:
    - Update to latest version of Colin's Build System.



## mini-dinstall 0.6.21

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,8 @@
 # Makefile for mini-dinstall
 
-pkgdir = $(DESTDIR)/usr/lib/python2.3/site-packages/minidinstall
+PYTHONVERSION=$(shell python -c 'import sys; print "%d.%d"%(sys.version_info[:2])')
+
+pkgdir = $(DESTDIR)/usr/lib/python$(PYTHONVERSION)/site-packages/minidinstall
 bindir = $(DESTDIR)/usr/bin
 mandir = $(DESTDIR)/usr/share/man/man1

=== debian/changelog ===
mini-dinstall (0.6.21) unstable; urgency=medium

  * Improve daemonizing: Reopen file descriptors 0, 1, 2 to /dev/null.
    This is important as it can corrupt the generated files, which is
    why urgency medium is used.
    Closes: #294353.
  * Fixed a bunch of spelling mistakes in the man page. Closes: #295096.

 -- Thomas Viehmann <tv@beamnet.de>  Tue, 15 Feb 2005 18:44:09 +0100

mini-dinstall (0.6.20) unstable; urgency=low

  * Autmatically accomodate for the current python version
    during build. Closes: #293719.
    Idea for patch by Tollef Fog Heen of Canonical/Ubuntu, thanks a lot.
  * Fix man page typo. Closes: #271141.
  * Rename example file sign-release.sh to match example config.
    Closes: #259755.

 -- Thomas Viehmann <tv@beamnet.de>  Mon,  7 Feb 2005 21:04:02 +0100

mini-dinstall (0.6.19) unstable; urgency=low

  * Important bug fix and very minor cosmetic update release only, maybe this
    can make it for sarge.
  * Retry a couple of times when dup2 returns EBUSY. (Closes: #265513)
  * Change default distributions to unstable (only) and default
    architectures to all, i386. (No offence to people using other arches,
    but that's my setup.) Closes: #262700.

 -- Thomas Viehmann <tv@beamnet.de>  Sun, 15 Aug 2004 11:22:38 +0200

=== debian/control ===
Source: mini-dinstall
Priority: optional
Section: devel
Maintainer: Thomas Viehmann <tv@beamnet.de>
Build-Depends-Indep: debhelper (>= 4.1.25), python
Standards-Version: 3.6.1

Package: mini-dinstall
Architecture: all
Depends: ${python:Depends}, python-apt, apt-utils
Suggests: debian-keyring
Description: daemon for updating Debian packages in a repository
 This program implements a miniature version of the "dinstall" program
 which installs packages in the Debian archive.  It doesn't require a
 PostgreSQL database, and is very easy to set up, maintain, and use.
 mini-dinstall can be run via cron, or as a daemon.
 .
 This package is expressly designed for personal apt repositories, and
 the like.  In this vein, it contains fewer sanity checks; for
 example, it will happily install a lower version of a package.  You
 can also generally just 'rm' files from the repository, and
 mini-dinstall won't care.  In fact, (when run as a daemon) it will
 automatically detect that the directory changed, and update the
 Packages file.

## mini-dinstall 0.6.21ubuntu1

=== debian/changelog ===
mini-dinstall (0.6.21ubuntu1) dapper; urgency=low

  * Ubuntufication: change all /usr/share/keyrings/debian-keyring.gpg to
    /usr/share/keyrings/ubuntu-archive-keyring.gpg (Closes: Malone #3417).

 -- Jeremie Corbier <jeremie.corbier@resel.enst-bretagne.fr>  Mon, 17 Apr 2006 21:00:09 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: mini-dinstall
 Architecture: all
 Depends: ${python:Depends}, python-apt, apt-utils
-Suggests: debian-keyring
+Suggests: ubuntu-keyring
 Description: daemon for updating Debian packages in a repository
  This program implements a miniature version of the "dinstall" program
  which installs packages in the Debian archive.  It doesn't require a

=== debian/rules ===
#!/usr/bin/make -f
# $Id: rules 51 2003-12-29 20:02:19Z bob $
# Sample debian/rules that uses debhelper. 
# This file is public domain software, originally written by Joey Hess.

build:

lib/version.py: debian/changelog
	echo "pkg_version = \"`dpkg-parsechangelog | awk '/^Version:/ { print $$2 }'`\"" > lib/version.py

clean: lib/version.py
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=debian/mini-dinstall

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_link
	dh_compress
	dh_fixperms
	dh_python
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## mini-dinstall 0.6.21ubuntu2

=== debian/changelog ===
mini-dinstall (0.6.21ubuntu2) edgy; urgency=low

  * Merge from debian unstable.

 -- Jeremie Corbier <jcorbier@ubuntu.com>  Tue,  8 Aug 2006 11:49:50 +0200

mini-dinstall (0.6.21-0.1) unstable; urgency=low

  * Non-maintainer upload (with maintainer permission).
  * Update package to the new python policy (Closes: #380871).
  * Bump Standards-Version to 3.7.2.
  * Fix Makefile to use pyversions instead of custom hack to guess current
    python version.
  * Move debhelper to B-Depends (instead of B-D-I).

 -- Pierre Habouzit <madcoder@debian.org>  Tue,  1 Aug 2006 21:13:37 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Priority: optional
 Section: devel
 Maintainer: Thomas Viehmann <tv@beamnet.de>
-Build-Depends-Indep: debhelper (>= 4.1.25), python
-Standards-Version: 3.6.1
+Build-Depends: debhelper (>= 4.1.25)
+Build-Depends-Indep: python-dev, python-support (>= 0.3)
+Standards-Version: 3.7.2
 
 Package: mini-dinstall
 Architecture: all

## mini-dinstall 0.6.21ubuntu3

=== debian/changelog ===
mini-dinstall (0.6.21ubuntu3) gutsy; urgency=low

  * Merge from debian unstable, remaining changes:
    - Ubuntufication: change all /usr/share/keyrings/debian-keyring.gpg to
      /usr/share/keyrings/ubuntu-archive-keyring.gpg (Closes: Malone #3417).
  * Changed maintainer field to MOTU.

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 15 May 2007 19:50:27 +1000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mini-dinstall
 Priority: optional
 Section: devel
-Maintainer: Thomas Viehmann <tv@beamnet.de>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Thomas Viehmann <tv@beamnet.de>
 Build-Depends: debhelper (>= 4.1.25)
 Build-Depends-Indep: python-dev, python-support (>= 0.3)
 Standards-Version: 3.7.2

## mini-dinstall 0.6.21-0.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile for mini-dinstall
 
-PYTHONVERSION=$(shell python -c 'import sys; print "%d.%d"%(sys.version_info[:2])')
+PYTHONVERSION=$(shell pyversions -dv)
 
 pkgdir = $(DESTDIR)/usr/lib/python$(PYTHONVERSION)/site-packages/minidinstall
 bindir = $(DESTDIR)/usr/bin

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: mini-dinstall
 Priority: optional
 Section: devel
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
-XSBC-Original-Maintainer: Thomas Viehmann <tv@beamnet.de>
+Maintainer: Thomas Viehmann <tv@beamnet.de>
 Build-Depends: debhelper (>= 4.1.25)
 Build-Depends-Indep: python-dev, python-support (>= 0.3)
 Standards-Version: 3.7.2
@@ -10,7 +9,7 @@
 Package: mini-dinstall
 Architecture: all
 Depends: ${python:Depends}, python-apt, apt-utils
-Suggests: ubuntu-keyring
+Suggests: debian-keyring
 Description: daemon for updating Debian packages in a repository
  This program implements a miniature version of the "dinstall" program
  which installs packages in the Debian archive.  It doesn't require a

=== debian/rules ===
--- 
+++ 
@@ -31,6 +31,7 @@
 	dh_link
 	dh_compress
 	dh_fixperms
+	dh_pysupport
 	dh_python
 	dh_installdeb
 	dh_gencontrol

## mini-dinstall 0.6.23ubuntu1

=== debian/changelog ===
mini-dinstall (0.6.23ubuntu1) hardy; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Ubuntufication: change all /usr/share/keyrings/debian-keyring.gpg to
      /usr/share/keyrings/ubuntu-archive-keyring.gpg.
    - debian/control:
      + Update maintainer field. 

 -- Michele Angrisano <micheleangrisano@ubuntu.com>  Wed, 06 Feb 2008 23:33:34 +0100

mini-dinstall (0.6.23) unstable; urgency=low

  * use templates to generate success email (Closes: #451949)
  * add SHA256 hashes in release files (Closes: #453032)
  * don't fail on missing child processes in external hash generation
  * merge identically hash generation for release file in mini-dinstall and
    ChangeFile.py into misc.py
  * change XS-Vcs tags to Vcs
  * change Standard-Version to 3.7.3 and national encoding of copyright to
    UTF-8

 -- Christoph Goehre <christoph.goehre@gmx.de>  Sun, 03 Feb 2008 10:53:25 +0100

mini-dinstall (0.6.22ubuntu1) hardy; urgency=low

  * Merge from debian unstable, remaining changes:
    - Ubuntufication: change all /usr/share/keyrings/debian-keyring.gpg to
      /usr/share/keyrings/ubuntu-archive-keyring.gpg.
    - Update maintainer field as per spec.
  * Modify Maintainer value to match the DebianMaintainerField
    specification.

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 25 Oct 2007 22:38:33 +1000

mini-dinstall (0.6.22) unstable; urgency=low

  [ Guido Guenther ]
  * Create the release files in the correct subdirs with archive-style =
    simple-subdir so it works with secure-apt (Closes: #343371)

  [ Christoph Goehre ]
  * I'm the new Maintainer (Closes: #414621)
  * build package with cdbs
  * add XS-Vcs tags to git archive
  * move python-dev and python-support to B-Depends (instead of B-D-I) to clam
    lintian
  * add bz2 support for package files (Closes: #323925)
  * use FQDN hostname for outgoing mail (Closes: #385314)

 -- Christoph Goehre <christoph.goehre@gmx.de>  Sat, 06 Oct 2007 12:07:44 +0200

mini-dinstall (0.6.21-0.2) unstable; urgency=low

  * NMU with maintainers approval
  * update packages files atomically (Closes: #324855)

 -- Guido Guenther <agx@sigxcpu.org>  Thu, 23 Aug 2007 15:51:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,18 @@
 Source: mini-dinstall
 Priority: optional
 Section: devel
-Maintainer: Thomas Viehmann <tv@beamnet.de>
-Build-Depends: debhelper (>= 4.1.25)
-Build-Depends-Indep: python-dev, python-support (>= 0.3)
-Standards-Version: 3.7.2
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Christoph Goehre <christoph.goehre@gmx.de>
+Uploaders: Guido Guenther <agx@sigxcpu.org>
+Build-Depends: cdbs, debhelper (>= 4.1.25), python-dev, python-support (>= 0.3)
+Standards-Version: 3.7.3
+Vcs-Git: git://git.debian.org/git/mini-dinstall/mini-dinstall.git
+Vcs-Browser: http://git.debian.org/?p=mini-dinstall/mini-dinstall.git
 
 Package: mini-dinstall
 Architecture: all
-Depends: ${python:Depends}, python-apt, apt-utils
-Suggests: debian-keyring
+Depends: ${python:Depends}, python-apt, apt-utils, python-crypto
+Suggests: ubuntu-keyring
 Description: daemon for updating Debian packages in a repository
  This program implements a miniature version of the "dinstall" program
  which installs packages in the Debian archive.  It doesn't require a

## mini-dinstall 0.6.25

=== debian/changelog ===
mini-dinstall (0.6.25) unstable; urgency=low

  * add experimental release support to Release file. Thanks to Stephan
    Suerken (Closes: #336232)
  * use '--db' to speed up apt-ftparchive run (Closes: #225483)
  * check new Checksums-* fields in .dsc and .changes
  * adjust manpage format and Standards-Version

 -- Christoph Goehre <christoph.goehre@gmx.de>  Sat, 28 Jun 2008 19:15:56 +0200

mini-dinstall (0.6.24) unstable; urgency=low

  * correct manpage formatting
  * fix crash in hash generation for Release file

 -- Christoph Goehre <christoph.goehre@gmx.de>  Sun, 06 Apr 2008 18:46:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: mini-dinstall
 Priority: optional
 Section: devel
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
-XSBC-Original-Maintainer: Christoph Goehre <christoph.goehre@gmx.de>
+Maintainer: Christoph Goehre <christoph.goehre@gmx.de>
 Uploaders: Guido Guenther <agx@sigxcpu.org>
 Build-Depends: cdbs, debhelper (>= 4.1.25), python-dev, python-support (>= 0.3)
-Standards-Version: 3.7.3
+Standards-Version: 3.8.0
 Vcs-Git: git://git.debian.org/git/mini-dinstall/mini-dinstall.git
 Vcs-Browser: http://git.debian.org/?p=mini-dinstall/mini-dinstall.git
 
 Package: mini-dinstall
 Architecture: all
 Depends: ${python:Depends}, python-apt, apt-utils, python-crypto
-Suggests: ubuntu-keyring
+Suggests: debian-keyring
 Description: daemon for updating Debian packages in a repository
  This program implements a miniature version of the "dinstall" program
  which installs packages in the Debian archive.  It doesn't require a

## mini-dinstall 0.6.25ubuntu1

=== debian/changelog ===
mini-dinstall (0.6.25ubuntu1) intrepid; urgency=low

  * Merge from Debian unstable (LP: #244270). Remaining Ubuntu changes:
    - minidinstall/version.py: modify pkg_version to 0.6.25ubuntu1
    - Modify all occurrences of /usr/share/keyrings/debian-keyring.gpg to
      /usr/share/keyrings/ubuntu-archive-keyring.gpg
    - debian/control: modify Maintainer to Ubuntu MOTU Developers
    - debian/control: modify Suggests to ubuntu-keyring

 -- Devid Filoni <d.filoni@techemail.com>  Sun, 29 Jun 2008 11:31:25 +0200

mini-dinstall (0.6.24ubuntu1) intrepid; urgency=low

  * Merge from Debian unstable, remaining Ubuntu changes:
    - Change all occurrences of /usr/share/keyrings/debian-keyring.gpg to
      /usr/share/keyrings/ubuntu-archive-keyring.gpg.
    - minidinstall/version.py: set current version.
    - debian/control: update Maintainer field as per spec.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Thu, 29 May 2008 23:58:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mini-dinstall
 Priority: optional
 Section: devel
-Maintainer: Christoph Goehre <christoph.goehre@gmx.de>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Christoph Goehre <christoph.goehre@gmx.de>
 Uploaders: Guido Guenther <agx@sigxcpu.org>
 Build-Depends: cdbs, debhelper (>= 4.1.25), python-dev, python-support (>= 0.3)
 Standards-Version: 3.8.0
@@ -11,7 +12,7 @@
 Package: mini-dinstall
 Architecture: all
 Depends: ${python:Depends}, python-apt, apt-utils, python-crypto
-Suggests: debian-keyring
+Suggests: ubuntu-keyring
 Description: daemon for updating Debian packages in a repository
  This program implements a miniature version of the "dinstall" program
  which installs packages in the Debian archive.  It doesn't require a

## mini-dinstall 0.6.26ubuntu1

=== debian/changelog ===
mini-dinstall (0.6.26ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes: (LP: #303173)
    - minidinstall/version.py: set current version.
    - debian/control: modify Suggests to ubuntu-keyring
    - Change all occurrences of /usr/share/keyrings/debian-keyring.gpg to
      /usr/share/keyrings/ubuntu-archive-keyring.gpg.

 -- Bhavani Shankar <right2bhavi@gmail.com>  Sat, 29 Nov 2008 20:07:04 +0530

mini-dinstall (0.6.26) unstable; urgency=low

  [ Christoph Goehre ]
  * [62bfe94] debug logging for python-internal hash generation
  * [54c6c7c] activate DM-Upload-Allowed
  * [048454d] depend on gpgv
  * [59d3992] check mail_template strings for existence
  * [a4cc929] expand tabs and remove tailing whitespaces
  * [5bbaa28] move changes file in _reject_changefile() too

  [ Guido Guenther ]
  * [828c0b5] print path to changes file on missing md5sums (Closes: #496229)
  * [540ebcf] allow keyrings and extra_keyrings per repository
    (Closes: #497079)

 -- Christoph Goehre <christoph.goehre@gmx.de>  Mon, 17 Nov 2008 18:35:35 +0100

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,14 @@
 XSBC-Original-Maintainer: Christoph Goehre <christoph.goehre@gmx.de>
 Uploaders: Guido Guenther <agx@sigxcpu.org>
 Build-Depends: cdbs, debhelper (>= 4.1.25), python-dev, python-support (>= 0.3)
+DM-Upload-Allowed: yes
 Standards-Version: 3.8.0
 Vcs-Git: git://git.debian.org/git/mini-dinstall/mini-dinstall.git
 Vcs-Browser: http://git.debian.org/?p=mini-dinstall/mini-dinstall.git
 
 Package: mini-dinstall
 Architecture: all
-Depends: ${python:Depends}, python-apt, apt-utils, python-crypto
+Depends: ${python:Depends}, python-apt, apt-utils, python-crypto, gpgv
 Suggests: ubuntu-keyring
 Description: daemon for updating Debian packages in a repository
  This program implements a miniature version of the "dinstall" program

=== debian/rules ===
#!/usr/bin/make -f
# $Id: rules 51 2003-12-29 20:02:19Z bob $
# Sample debian/rules that uses debhelper. 
# This file is public domain software, originally written by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_PYTHON_SYSTEM=pysupport

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

update-version:
	echo "pkg_version = \"$(DEB_UPSTREAM_VERSION)\"" > minidinstall/version.py

.PHONY: update-version

## mini-dinstall 0.6.27ubuntu1

=== debian/changelog ===
mini-dinstall (0.6.27ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes: LP: #416455
    - minidinstall/version.py: set current version.
    - debian/control: modify Suggests to ubuntu-keyring
    - Change all occurrences of /usr/share/keyrings/debian-keyring.gpg to
      /usr/share/keyrings/ubuntu-archive-keyring.gpg.

 -- Bhavani Shankar <right2bhavi@gmail.com>  Thu, 20 Aug 2009 19:49:17 +0530

mini-dinstall (0.6.27) unstable; urgency=low

  [ Christoph Goehre ]
  * [fdef0f3] regenerate reliable Release files on archive_style
    simple-subdir
  * [0607dbf] demote depends on gpgv to recommends
  * [b514d38] send upload information mails with utf-8 charset
    (Closes: #505144)
  * [364119c] allow verify_sigs per repository (Closes: #516263)
  * [9017b45] support distribution aliases, thanks Luca Capello
    (Closes: #291340)
  * [039b733] add generic do_and_log function
  * [15f8c38] allow to disable chmod on incomming (Closes: #535558)
  * [cf1424e] add 'X-Mini-Dinstall' header field to upload email
    (Closes: #539124)

 -- Christoph Goehre <christoph.goehre@gmx.de>  Sun, 16 Aug 2009 18:17:14 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: mini-dinstall
 Priority: optional
 Section: devel
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Christoph Goehre <christoph.goehre@gmx.de>
 Uploaders: Guido Guenther <agx@sigxcpu.org>
 Build-Depends: cdbs, debhelper (>= 4.1.25), python-dev, python-support (>= 0.3)
@@ -12,7 +12,8 @@
 
 Package: mini-dinstall
 Architecture: all
-Depends: ${python:Depends}, python-apt, apt-utils, python-crypto, gpgv
+Depends: ${python:Depends}, python-apt, apt-utils, python-crypto
+Recommends: gpgv
 Suggests: ubuntu-keyring
 Description: daemon for updating Debian packages in a repository
  This program implements a miniature version of the "dinstall" program

## mini-dinstall 0.6.28ubuntu1

=== debian/changelog ===
mini-dinstall (0.6.28ubuntu1) maverick; urgency=low

  *  Merge from debian unstable. Remaining Ubuntu changes:
    - minidinstall/version.py: set current version.
    - debian/control: modify Suggests to ubuntu-keyring
    - Change all occurrences of /usr/share/keyrings/debian-keyring.gpg to
      /usr/share/keyrings/ubuntu-archive-keyring.gpg.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Fri, 18 Jun 2010 14:28:59 -0400

mini-dinstall (0.6.28) unstable; urgency=low

  [ Christoph Goehre ]
  * [2793c0d] update pkg_version on clean target
  * [ffd2489] lintian: add ${misc:Depends} to mini-dinstall package
  * [4b8155e] bump up Standards-Version to 3.8.4
  * [712898e] lintian: add blank line on debian NEWS file
  * [b7c4ba8] lintian: spelling error in changelog s/incomming/incoming/
  * [3181afb] lintian: depend on debhelper >= 7
  * [d61eb9c] lintian: change Build-Depends python-dev to python
  * [bdd0029] allow to disable 'db' option in apt-ftparchive (Closes: #513847)
  * [3f611de] exit with 1 instead of backtrace by creating mini-dinstall's
    folder
  * [df7be9f] support Source format 3.0 (Closes: #571226)
  * [4b3e336] disable tweeting on default and document tweet options in
    manpage
  * [37ca547] Switch to dpkg-source 3.0 (native) format

  [ Julian Andres Klode ]
  * [db1a6cd] Upgrade to the new python-apt API. (Closes: #572069)

  [ Christopher R. Gabriel ]
  * [92b2b34] added twitting support (e.g. for twitter/identi.ca)

 -- Christoph Goehre <christoph.goehre@gmx.de>  Sun, 30 May 2010 19:33:52 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Christoph Goehre <christoph.goehre@gmx.de>
 Uploaders: Guido Guenther <agx@sigxcpu.org>
-Build-Depends: cdbs, debhelper (>= 4.1.25), python-dev, python-support (>= 0.3)
+Build-Depends: cdbs, debhelper (>= 7), python, python-support (>= 0.3)
 DM-Upload-Allowed: yes
-Standards-Version: 3.8.0
+Standards-Version: 3.8.4
 Vcs-Git: git://git.debian.org/git/mini-dinstall/mini-dinstall.git
 Vcs-Browser: http://git.debian.org/?p=mini-dinstall/mini-dinstall.git
 
 Package: mini-dinstall
 Architecture: all
-Depends: ${python:Depends}, python-apt, apt-utils, python-crypto
+Depends: ${python:Depends}, python-apt (>= 0.7.93), apt-utils, python-crypto, ${misc:Depends}
 Recommends: gpgv
 Suggests: ubuntu-keyring
 Description: daemon for updating Debian packages in a repository

## mini-dinstall 0.6.28.1

=== debian/changelog ===
mini-dinstall (0.6.28.1) unstable; urgency=low

  * The "Python 2.6 transitional" release

  * [e4640c8] replace deprecated md5 and sha module with hashlib
  * [6072e9c] hashlib can handle sha256, so we didn't need python-crypto
    anymore
  * [4c216a2] hashlib needs python >= 2.5
  * [9e2e87a] popen2 is deprecated in python 2.6. So now we only use the
    internal hash algorithm provided by hashlib.
  * [304ffa2] bump up Standards-Version to 3.9.1

 -- Christoph Goehre <christoph.goehre@gmx.de>  Wed, 20 Oct 2010 17:56:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: mini-dinstall
 Priority: optional
 Section: devel
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Christoph Goehre <christoph.goehre@gmx.de>
+Maintainer: Christoph Goehre <christoph.goehre@gmx.de>
 Uploaders: Guido Guenther <agx@sigxcpu.org>
 Build-Depends: cdbs, debhelper (>= 7), python, python-support (>= 0.3)
 DM-Upload-Allowed: yes
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Vcs-Git: git://git.debian.org/git/mini-dinstall/mini-dinstall.git
 Vcs-Browser: http://git.debian.org/?p=mini-dinstall/mini-dinstall.git
 
 Package: mini-dinstall
 Architecture: all
-Depends: ${python:Depends}, python-apt (>= 0.7.93), apt-utils, python-crypto, ${misc:Depends}
+Depends: ${python:Depends}, python-apt (>= 0.7.93), apt-utils, ${misc:Depends}
 Recommends: gpgv
-Suggests: ubuntu-keyring
+Suggests: debian-keyring
 Description: daemon for updating Debian packages in a repository
  This program implements a miniature version of the "dinstall" program
  which installs packages in the Debian archive.  It doesn't require a

## mini-dinstall 0.6.28.1ubuntu1

=== debian/changelog ===
mini-dinstall (0.6.28.1ubuntu1) natty; urgency=low

  * Merge from debian unstable. Remaining changes:
    - minidinstall/version.py: set current version.
    - debian/control: modify Suggests to ubuntu-keyring
    - Change all occurrences of /usr/share/keyrings/debian-keyring.gpg to
      /usr/share/keyrings/ubuntu-archive-keyring.gpg.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Thu, 21 Oct 2010 12:09:13 +0530

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mini-dinstall
 Priority: optional
 Section: devel
-Maintainer: Christoph Goehre <christoph.goehre@gmx.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Christoph Goehre <christoph.goehre@gmx.de>
 Uploaders: Guido Guenther <agx@sigxcpu.org>
 Build-Depends: cdbs, debhelper (>= 7), python, python-support (>= 0.3)
 DM-Upload-Allowed: yes
@@ -13,7 +14,7 @@
 Architecture: all
 Depends: ${python:Depends}, python-apt (>= 0.7.93), apt-utils, ${misc:Depends}
 Recommends: gpgv
-Suggests: debian-keyring
+Suggests: ubuntu-keyring
 Description: daemon for updating Debian packages in a repository
  This program implements a miniature version of the "dinstall" program
  which installs packages in the Debian archive.  It doesn't require a

## mini-dinstall 0.6.28.1ubuntu2

=== debian/changelog ===
mini-dinstall (0.6.28.1ubuntu2) natty; urgency=low

  * mini-dinstall: Fix error using logging.StreamHandler (LP: #721413)

 -- Sameer Morar <smorar@gmail.com>  Fri, 18 Feb 2011 20:09:19 +0200

## mini-dinstall 0.6.28.1ubuntu2.2

=== debian/changelog ===
mini-dinstall (0.6.28.1ubuntu2.2) natty-proposed; urgency=low

  * DebianSigVerifier.py: (LP: #3417)
    Remove debian-keyring.pgp, since that change was lost in merge

 -- Mackenzie Morgan <maco.m@ubuntu.com>  Mon, 30 May 2011 22:35:00 -0400

## mini-dinstall 0.6.28.1ubuntu3

=== debian/changelog ===
mini-dinstall (0.6.28.1ubuntu3) oneiric; urgency=low

  * DebianSigVerifier.py: (LP: 3417)
    Remove debian-keyring.pgp, since that change was lost in merge

 -- Mackenzie Morgan <maco.m@ubuntu.com>  Mon, 30 May 2011 22:35:00 -0400

## mini-dinstall 0.6.29

=== debian/changelog ===
mini-dinstall (0.6.29) unstable; urgency=low

  [ Christoph Goehre ]
  * [d4fa57e] logging.StreamHandler use sys.stderr as default output
    (Closes: #613992, #644419)
  * [91d0786] add Date and Message-ID header fields in email from mini-dinstall
  * [d7f3643] bump up Standards-Version to 3.9.2
  * [b659d79] DM-Upload-Allowed is superfluous since I'm DD

  [ Sven Hartge ]
  * [b27e3ab] add support for new InRelease file

  [ Christoph Goehre ]

 -- Christoph Goehre <christoph.goehre@gmx.de>  Thu, 06 Oct 2011 19:50:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,10 @@
 Source: mini-dinstall
 Priority: optional
 Section: devel
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Christoph Goehre <christoph.goehre@gmx.de>
+Maintainer: Christoph Goehre <christoph.goehre@gmx.de>
 Uploaders: Guido Guenther <agx@sigxcpu.org>
 Build-Depends: cdbs, debhelper (>= 7), python, python-support (>= 0.3)
-DM-Upload-Allowed: yes
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/mini-dinstall/mini-dinstall.git
 Vcs-Browser: http://git.debian.org/?p=mini-dinstall/mini-dinstall.git
 
@@ -14,7 +12,7 @@
 Architecture: all
 Depends: ${python:Depends}, python-apt (>= 0.7.93), apt-utils, ${misc:Depends}
 Recommends: gpgv
-Suggests: ubuntu-keyring
+Suggests: debian-keyring
 Description: daemon for updating Debian packages in a repository
  This program implements a miniature version of the "dinstall" program
  which installs packages in the Debian archive.  It doesn't require a

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,9 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/python-distutils.mk
 
-update-version:
+minidinstall/version.py: debian/changelog
 	echo "pkg_version = \"$(DEB_UPSTREAM_VERSION)\"" > minidinstall/version.py
 
-.PHONY: update-version
+clean:: minidinstall/version.py
+
+.PHONY: minidinstall/version.py

## mini-dinstall 0.6.29ubuntu1

=== debian/changelog ===
mini-dinstall (0.6.29ubuntu1) precise; urgency=low

  * Merge from debian testing. (LP: #905671) Remaining changes:
    - minidinstall/version.py: set current version.
    - debian/control: modify Suggests to ubuntu-keyring
    - Change all occurrences of /usr/share/keyrings/debian-keyring.gpg to
      /usr/share/keyrings/ubuntu-archive-keyring.gpg.
    - minidinstall/DebianSigVerifier.py: Remove debian-keyring.pgp.
  * mini-dinstall: Dropped applied in Debian.

 -- Mahyuddin Susanto <udienz@ubuntu.com>  Sat, 17 Dec 2011 18:58:07 +0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mini-dinstall
 Priority: optional
 Section: devel
-Maintainer: Christoph Goehre <christoph.goehre@gmx.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Christoph Goehre <christoph.goehre@gmx.de>
 Uploaders: Guido Guenther <agx@sigxcpu.org>
 Build-Depends: cdbs, debhelper (>= 7), python, python-support (>= 0.3)
 Standards-Version: 3.9.2
@@ -12,7 +13,7 @@
 Architecture: all
 Depends: ${python:Depends}, python-apt (>= 0.7.93), apt-utils, ${misc:Depends}
 Recommends: gpgv
-Suggests: debian-keyring
+Suggests: ubuntu-keyring
 Description: daemon for updating Debian packages in a repository
  This program implements a miniature version of the "dinstall" program
  which installs packages in the Debian archive.  It doesn't require a

## mini-dinstall 0.6.30

=== debian/changelog ===
mini-dinstall (0.6.30) unstable; urgency=low

  * [885f9fc] lintian: fix vcs-field-not-canonical
  * [61d551a] bump up Standards-Version to 3.9.5
  * [dbdacea] transition from python-support to dh_python2
  * [dbf811a] switch from cdbs to dh
  * [4ccc409] increase debhelper compat level to 9

 -- Christoph Goehre <christoph.goehre@gmx.de>  Mon, 25 Aug 2014 19:50:08 -0700

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: mini-dinstall
 Priority: optional
 Section: devel
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Christoph Goehre <christoph.goehre@gmx.de>
+Maintainer: Christoph Goehre <christoph.goehre@gmx.de>
 Uploaders: Guido Guenther <agx@sigxcpu.org>
-Build-Depends: cdbs, debhelper (>= 7), python, python-support (>= 0.3)
-Standards-Version: 3.9.2
-Vcs-Git: git://git.debian.org/git/mini-dinstall/mini-dinstall.git
-Vcs-Browser: http://git.debian.org/?p=mini-dinstall/mini-dinstall.git
+Build-Depends: debhelper (>= 9), python (>= 2.6.6-3~), dh-python
+Standards-Version: 3.9.5
+Vcs-Git: git://anonscm.debian.org/mini-dinstall/mini-dinstall.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=mini-dinstall/mini-dinstall.git;a=summary
+X-Python-Version: >= 2.5
 
 Package: mini-dinstall
 Architecture: all
 Depends: ${python:Depends}, python-apt (>= 0.7.93), apt-utils, ${misc:Depends}
 Recommends: gpgv
-Suggests: ubuntu-keyring
+Suggests: debian-keyring
 Description: daemon for updating Debian packages in a repository
  This program implements a miniature version of the "dinstall" program
  which installs packages in the Debian archive.  It doesn't require a

## mini-dinstall 0.6.30ubuntu1

=== debian/changelog ===
mini-dinstall (0.6.30ubuntu1) vivid; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - minidinstall/version.py: set current version.
    - debian/control: modify Suggests to ubuntu-keyring
    - Change all occurrences of /usr/share/keyrings/debian-keyring.gpg to
      /usr/share/keyrings/ubuntu-archive-keyring.gpg.
    - minidinstall/DebianSigVerifier.py: Remove debian-keyring.pgp.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 15 Nov 2014 15:23:11 +0530

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mini-dinstall
 Priority: optional
 Section: devel
-Maintainer: Christoph Goehre <christoph.goehre@gmx.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Christoph Goehre <christoph.goehre@gmx.de>
 Uploaders: Guido Guenther <agx@sigxcpu.org>
 Build-Depends: debhelper (>= 9), python (>= 2.6.6-3~), dh-python
 Standards-Version: 3.9.5
@@ -13,7 +14,7 @@
 Architecture: all
 Depends: ${python:Depends}, python-apt (>= 0.7.93), apt-utils, ${misc:Depends}
 Recommends: gpgv
-Suggests: debian-keyring
+Suggests: ubuntu-keyring
 Description: daemon for updating Debian packages in a repository
  This program implements a miniature version of the "dinstall" program
  which installs packages in the Debian archive.  It doesn't require a

## mini-dinstall 0.6.31

=== debian/changelog ===
mini-dinstall (0.6.31) unstable; urgency=medium

  [ Unit 193 ]
  * [acad13c] Add xz support for package files.
  * [e78b016] Allow re-installing same version packages. (Closes: #680782)
  * [7b759e5] Remove bzip2 compressed package files.
  * [c660ff0] Remove gzip compressed package files.
  * [a208f0d] Generate Contents files when using flat archive type.
  * [c3615cb] Only use sha256 hashes, dropping sha1 and md5.
  * [78fa964] Fix manpage formatting, describe backport_release and
    experimental_release.
  * [ce6a7ab] Add configurable support for by-hash, on by default.
  * [159f01d] Properly handle .buildinfo files.
  * [36078e2] Add a new option 'expire_release_files' to enable 'Valid-Until'
    with a life of 4 weeks.
  * [8f59711] Enable the 'Signed-By' feature by setting GPG IDs in 'keyids'
  * [8e1a34e] Account for '.ddeb' dbgsym extension in debpackage regex.

  [ Heinrich Schuchardt ]
  * [aad441a] Correct the documentation for option experimental_release.
    The default value is 0 (not None). (Closes: #820580)
  * [cddf838] Add option backport_release to the configuration file.
    If this option is set mini-dinstall writes
    "NotAutomatic: yes" and "ButAutomaticUpgrades: yes"
    to the Release file. (Closes: #820582)

  [ Krytarik Raido ]
  * [26c7a76] Reduce code duplication in ArchiveDir.

  [ Guido Günther ]
  * [0867275] Add gbp.conf

 -- Guido Günther <agx@sigxcpu.org>  Tue, 05 Sep 2017 19:01:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: mini-dinstall
 Priority: optional
 Section: devel
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Christoph Goehre <christoph.goehre@gmx.de>
+Maintainer: Christoph Goehre <christoph.goehre@gmx.de>
 Uploaders: Guido Guenther <agx@sigxcpu.org>
 Build-Depends: debhelper (>= 9), python (>= 2.6.6-3~), dh-python
 Standards-Version: 3.9.5
@@ -12,9 +11,9 @@
 
 Package: mini-dinstall
 Architecture: all
-Depends: ${python:Depends}, python-apt (>= 0.7.93), apt-utils, ${misc:Depends}
+Depends: ${python:Depends}, python-apt (>= 0.7.93), apt-utils, ${misc:Depends}, python-lzma
 Recommends: gpgv
-Suggests: ubuntu-keyring
+Suggests: debian-keyring
 Description: daemon for updating Debian packages in a repository
  This program implements a miniature version of the "dinstall" program
  which installs packages in the Debian archive.  It doesn't require a

## mini-dinstall 0.6.31ubuntu1

=== debian/changelog ===
mini-dinstall (0.6.31ubuntu1) bionic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - minidinstall/version.py: set current version.
    - debian/control: modify Suggests to ubuntu-keyring
    - Change all occurrences of /usr/share/keyrings/debian-keyring.gpg to
      /usr/share/keyrings/ubuntu-archive-keyring.gpg.
    - minidinstall/DebianSigVerifier.py: Remove debian-keyring.pgp.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 28 Oct 2017 14:43:00 +0530

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mini-dinstall
 Priority: optional
 Section: devel
-Maintainer: Christoph Goehre <christoph.goehre@gmx.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Christoph Goehre <christoph.goehre@gmx.de>
 Uploaders: Guido Guenther <agx@sigxcpu.org>
 Build-Depends: debhelper (>= 9), python (>= 2.6.6-3~), dh-python
 Standards-Version: 3.9.5
@@ -13,7 +14,7 @@
 Architecture: all
 Depends: ${python:Depends}, python-apt (>= 0.7.93), apt-utils, ${misc:Depends}, python-lzma
 Recommends: gpgv
-Suggests: debian-keyring
+Suggests: ubuntu-keyring
 Description: daemon for updating Debian packages in a repository
  This program implements a miniature version of the "dinstall" program
  which installs packages in the Debian archive.  It doesn't require a

=== debian/rules ===
#!/usr/bin/make -f
# $Id: rules 51 2003-12-29 20:02:19Z bob $
# Sample debian/rules that uses debhelper. 
# This file is public domain software, originally written by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/default.mk

%:
	dh $@ --with python2

override_dh_auto_clean:
	echo "pkg_version = \"$(DEB_VERSION_UPSTREAM)\"" > minidinstall/version.py
	dh_auto_clean

## mini-dinstall 0.6.31+nmu1

=== debian/changelog ===
mini-dinstall (0.6.31+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 16:02:20 +0800

## mini-dinstall 0.7.0

=== debian/changelog ===
mini-dinstall (0.7.0) unstable; urgency=medium

  [ Unit 193 ]
  * [8ba508e] sign-release.sh: Add support for gpg2.
  * [9883708] Support installing upstream detached signatures.
  * [23ac25c] Port to Python 3
  * [4b168e8] Archive directory on command line should take precedence over
    config. (Closes: #496231)
  * [91ad709] Deprecate chown_changes_files in favor of restrict_changes_files.
    (Closes: #821960)
  * [6e52580] Add --foreground to the manpage and add a NEWS entry for the
    chown_changes_files deprecation.
  * [da75337] Update packaging to reflect python3 port.
  * [4d171bb] Utilize debhelper-compat and bump to 12.
  * [adde19d] Update Vcs-* fields to Salsa.
  * [df2fa73] Add myself to uploaders.
  * [4018b18] Bump Standards-Version to 4.4.0.
  * [3fccdae] Clean up extraneous whitespace in files.

  [ Krytarik Raido ]
  * [dc580be] Various improvements in coding style.
  * [11bda2c] Drop unused files and code.
  * [1cd7d0f] Switch to using the subprocess module.
  * [946753d] Update documentation on recent changes.
  * [1826155] Add error handling on empty PID file. (Closes: #894890)
  * [95b28f9] Add support for override files. (Closes: #780972)

  [ Pavel Shramov ]
  * [dc4416d] Add --foreground option (Closes: #451947)

  [ Heinrich Schuchardt ]
  * [96702ad] Create Release file for source subdirectory. (Closes: #798121)

 -- Unit 193 <unit193@ubuntu.com>  Tue, 30 Jul 2019 02:09:51 -0400

=== debian/control ===
Source: mini-dinstall
Priority: optional
Section: devel
Maintainer: Christoph Goehre <christoph.goehre@gmx.de>
Uploaders: Guido Guenther <agx@sigxcpu.org>, Unit 193 <unit193@ubuntu.com>
Build-Depends: debhelper-compat (= 12), python3-all, dh-python
Standards-Version: 4.4.0
Vcs-Git: https://salsa.debian.org/debian/mini-dinstall.git
Vcs-Browser: https://salsa.debian.org/debian/mini-dinstall

Package: mini-dinstall
Architecture: all
Depends: ${python3:Depends}, python3-apt, apt-utils, ${misc:Depends}
Recommends: gpgv
Suggests: debian-keyring
Description: daemon for updating Debian packages in a repository
 This program implements a miniature version of the "dinstall" program
 which installs packages in the Debian archive.  It doesn't require a
 PostgreSQL database, and is very easy to set up, maintain, and use.
 mini-dinstall can be run via cron, or as a daemon.
 .
 This package is expressly designed for personal apt repositories, and
 the like.  In this vein, it contains fewer sanity checks; for
 example, it will happily install a lower version of a package.  You
 can also generally just 'rm' files from the repository, and
 mini-dinstall won't care.  In fact, (when run as a daemon) it will
 automatically detect that the directory changed, and update the
 Packages file.

=== debian/rules ===
#!/usr/bin/make -f
# $Id: rules 51 2003-12-29 20:02:19Z bob $
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/default.mk

%:
	dh $@ --with python3 --buildsystem pybuild

override_dh_auto_clean:
	echo "pkg_version = \"$(DEB_VERSION_UPSTREAM)\"" > minidinstall/version.py
	dh_auto_clean

## mini-dinstall 0.7.1

=== debian/changelog ===
mini-dinstall (0.7.1) unstable; urgency=medium

  [ Krytarik Raido ]
  * [7ea6bb3] Don't capture stderr on apt-ftparchive, not used anyway.
    (Closes: #990414)
  * [f712a8f] Fix regression in parsing 'incoming_permissions' setting.
    (Closes: #991312)

  [ Thijs Kinkhorst ]
  * [0297e76] Fix typo and update address while we're at it

  [ Unit 193 ]
  * [82aee2a] In do_rename, use copy+delete rather than rename to solve
    some ownership problems.
  * [bc3e9eb] d/control: Update my email address.
  * [ec30570] d/control: R³: no.
  * [725939f] d/control: Bump DH compat to 13.
  * [c8e734f] Update Standards-Version to 4.6.0.

 -- Unit 193 <unit193@debian.org>  Sat, 05 Feb 2022 22:18:14 -0500

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Priority: optional
 Section: devel
 Maintainer: Christoph Goehre <christoph.goehre@gmx.de>
-Uploaders: Guido Guenther <agx@sigxcpu.org>, Unit 193 <unit193@ubuntu.com>
-Build-Depends: debhelper-compat (= 12), python3-all, dh-python
-Standards-Version: 4.4.0
+Uploaders: Guido Guenther <agx@sigxcpu.org>, Unit 193 <unit193@debian.org>
+Build-Depends: debhelper-compat (= 13), python3-all, dh-python
+Rules-Requires-Root: no
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/debian/mini-dinstall.git
 Vcs-Browser: https://salsa.debian.org/debian/mini-dinstall
